Groovy 1.7.10

## org.codehaus.groovy.control.io
[Java] Class FileReaderSource

    java.lang.Object
      org.codehaus.groovy.control.io.AbstractReaderSource
          org.codehaus.groovy.control.io.FileReaderSource

    public class FileReaderSource
    extends AbstractReaderSource

A ReaderSource for source files.

Authors:
  Chris Poirier

Version:
  \$Id: FileReaderSource.java 10715 2008-02-04 11:10:47Z glaforge \$

Field Summary

Fields inherited from class AbstractReaderSource
configuration

Constructor Summary
`FileReaderSource(File file, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`Reader` | `getReader()` Returns a new Reader on the underlying source object.

Methods inherited from class AbstractReaderSource
canReopenSource, cleanup, getLine

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### FileReaderSource

    public FileReaderSource(File file, CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.
  Parameters:
    `file` - script source file
    `configuration` - configuration for compiling source

Method Detail

### getReader

    public Reader getReader()

  Returns a new Reader on the underlying source object.

Copyright © 2003-2010 The Codehaus. All rights reserved.